<ul>

<li><h2>Android Basics</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/basics/what-is-android.html">What Is Android?</a></li>
<li><a style="color:gray;">The Android SDK</a></li>
<li><a style="color:gray;">Walkthrough for Developers</a></li>
      <!--       quick overview of what it's like to develop on Android -->
    </ul>
</li>

<li><h2>Framework Topics</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/topics/fundamentals.html">Application Fundamentals</a></li>
    </ul>
    <ul>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/topics/views/index.html">Views and Layout</a></div>
          <ul>
            <li><a href="<?cs var:toroot ?>guide/topics/views/layout.html">Common Layout Objects</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/declaring-layout.html">Declaring Layout</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/binding.html">Binding to Data with AdapterView</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/ui-events.html">Handling UI Events</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/themes.html">Applying Styles and Themes</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/custom-components.html">Building Custom Components</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/views/how-android-draws.html">How Android Draws Views</a></li>
          </ul>
      </li>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/topics/resources/index.html">Resources and Assests</a></div>
          <ul>
            <li><a href="<?cs var:toroot ?>guide/topics/resources/resources-i18n.html">Resources and I18n</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/resources/available-resources.html">Available Resource Types</a></li>
          </ul>
      </li>
      <li><a href="<?cs var:toroot ?>guide/topics/intents/intents-filters.html">Intents and Intent Filtering</a></li>
      <li><a href="<?cs var:toroot ?>guide/topics/data/data-storage.html">Data Storage</a></li>
      <li><a href="<?cs var:toroot ?>guide/topics/providers/content-providers.html">Content Providers</a></li>
      <li><a style="color:gray;">Notifications</a></li>
      <li><a href="<?cs var:toroot ?>guide/topics/security/security.html">Security and Permissions</a></li>
<!--  <li><a style="color:gray;">Processes and Threads</a></li> -->
<!--  <li><a style="color:gray;">Interprocess Communication</a></li> -->
      <li><a href="<?cs var:toroot ?>guide/topics/manifest/manifest.html">The Manifest File</a></li>
    </ul>
    <ul>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/topics/graphics/index.html">2D and 3D Graphics</a></div>
          <ul>
            <li><a href="<?cs var:toroot ?>guide/topics/graphics/2d-graphics.html">2D Graphics</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/graphics/opengl.html">3D with OpenGL</a></li>
          </ul>
      </li>
      <li><a href="<?cs var:toroot ?>guide/topics/media/index.html">Audio and Video</a></li>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/topics/sensors/index.html">Sensors</a></div>
          <ul>
            <li><a href="<?cs var:toroot ?>guide/topics/sensors/camera.html">Camera</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/sensors/compass.html">Compass</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/sensors/accelerometer.html">Accelerometer</a></li>
          </ul>
      </li>
      <li><a href="<?cs var:toroot ?>guide/topics/location/index.html">Location</a></li>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/topics/wireless/index.html">Wireless Controls</a></div>
          <ul>
            <li><a href="<?cs var:toroot ?>guide/topics/wireless/wifi.html">Wi-Fi</a></li>
            <li><a href="<?cs var:toroot ?>guide/topics/wireless/bluetooth.html">Bluetooth</a></li>
          </ul>
      </li>
<!--  <li><a style="color:gray;">Localization</a></li>  -->
    </ul>
</li>

<li><h2>Developing</h2>
    <ul>
      <!--       <li><a style="color:gray;">Developing for Android</a></li>
      signing, upgrading, selecting a package name, select device profile, touch, trackball, dpad available, etc. -->

      <li><a href="<?cs var:toroot ?>guide/developing/eclipse-adt.html">In Eclipse, with ADT</a></li>
      <li><a href="<?cs var:toroot ?>guide/developing/other-ide.html">In Other IDEs</a></li>
      <li><a href="<?cs var:toroot ?>guide/developing/debug-tasks.html">Debugging Tasks</a></li>
      <li class="toggle-list">
        <div><a href="<?cs var:toroot ?>guide/developing/tools/index.html">Tools</a></div>
          <ul>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/aapt.html">aapt</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/adb.html">adb</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/othertools.html#activitycreator">activitycreator</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/adt.html">ADT Plugin</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/aidl.html" >aidl</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/ddms.html" >ddms</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/othertools.html#dx">dx</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/draw9patch.html">Draw 9-Patch</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/emulator.html">Emulator</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/hierarchy-viewer.html">Hierarchy Viewer</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/othertools.html#mksdcard">mksdcard</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/monkey.html">Monkey</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/adb.html#sqlite">sqlite3</a></li>
			<li><a href="<?cs var:toroot ?>guide/developing/tools/traceview.html" >Traceview</a></li>
		  </ul></li>
      <li><a href="<?cs var:toroot ?>guide/developing/instrumentation/index.html">Instrumentation</a></li>
      <li><a style="color:gray;">JUnit</a></li>
   </ul>

</li>

<li><h2>Publishing</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/publishing/app-signing.html">Signing Your Applications</a></li>
      <li><a href="<?cs var:toroot ?>guide/publishing/versioning.html">Versioning Your Applications</a></li>
      <li><a href="<?cs var:toroot ?>guide/publishing/preparing.html">Preparing to Publish</a></li>
      <li><a href="<?cs var:toroot ?>guide/publishing/publishing.html">Publishing Your Applications</a></li>
    </ul>
</li>

<li><h2>Best Practices</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/practices/design/performance.html">Designing for Performance</a></li>
      <li><a href="<?cs var:toroot ?>guide/practices/design/responsiveness.html">Designing for Responsiveness</a></li>
      <li><a href="<?cs var:toroot ?>guide/practices/design/seamlessness.html">Designing for Seamlessness</a></li>
      <li><a style="color:gray;">User Interface Guidelines</a></li>
    </ul>
</li>

<!-- 
<li><h2>Best Practices (alt)</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/practices/design/index.html">Design Goals</a></li>
      <li><a style="color:gray;">User Interface Guidelines</a></li>
    </ul>
</li>
-->

<li><h2>Tutorials</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/tutorials/hello-world.html">Hello World</a></li>
      <li><a href="<?cs var:toroot ?>guide/tutorials/views/index.html">Hello Views</a></li>
      <li><a href="<?cs var:toroot ?>guide/tutorials/notepad/index.html">Notepad</a></li>
      <li><a href="<?cs var:toroot ?>guide/samples/index.html">Sample Code</a></li>
    </ul>
</li>

<li><h2>Appendix</h2>
    <ul>
      <li><a href="<?cs var:toroot ?>guide/appendix/media-formats.html">Supported Media Formats</a></li>
      <li><a href="<?cs var:toroot ?>guide/appendix/g-app-intents.html">Intents List: Google Apps</a></li>
      <li><a href="<?cs var:toroot ?>guide/appendix/glossary.html">Glossary</a></li>
      <li><a href="<?cs var:toroot ?>guide/appendix/faq/index.html">FAQ</a></li>
    </ul>
</li>

</ul>

<script type="text/javascript">
<!--
    buildToggleLists();
//-->
</script>